Subject: Re: bug#31745: 回复： bug#31745: 回复：回复：Re: 回复：bug#31745: Frame's bug whenwindow-system

From: martin rudalics <[email-masked]>
Date: Sun, 01 Jul 2018 11:02:00 +0200

>>From the *scratch* buffer, after emacs has finished displaying the
 > initial frame.

Then let's ignore the initial frame behavior for the moment and
concentrate on this.  We have to find out the reason why the window
manager might refuse to resize our frame as requested.  There can't be
many of them.  Either the size wrt to the frame's position is too
large.  This could be verified by finding a corresponding threshold
value beyond which the frame cannot be resized.  Or the value
specified does not result in an integral multiple of character sizes.
This could be verified by setting 'frame-resize-pixelwise' to t.  I
can't see any other reason.  Can you?

In either case it would be interesting to have a look at the sources
of the window manager you use.

martin